<?php

    if ( !defined( 'ABSPATH' ) ) exit;

    $options = simple_price_list_920_get_options();

?>
    <h3><?php echo __('Generate shortcode', 'simple-price-list');?></h3>
    <input type="hidden" id="shortcode_id" name="shortcode_id" value="simple-price-list" />

    <div class="set-shortcode">

        <div class="shortcode-item set-shortcode-image">
            <?php echo __('Show image', 'simple-price-list');?>
            <?php
                if ($options['image'] == 1) {
                    $checked = ' CHECKED ';
                } else { $checked = ''; } 
            ?>
            <input type="checkbox" id="set_image" name="shortcode[image]" value="1" <?php echo $checked;?> />
            <label for="set_image"></label>
        </div>
    
        <div class="shortcode-item set-shortcode-group">
            <?php echo __('Groupped', 'simple-price-list');?>
            <?php
                if ($options['group'] == 1) {
                    $checked = ' CHECKED ';
                } else { $checked = ''; } 
            ?>
            <input type="checkbox" id="set_group" name="shortcode[group]" value="1" <?php echo $checked;?> />
            <label for="set_group"></label>
        </div>

        <div class="shortcode-item set-shortcode-hide_out">
            <?php echo __('Hide out of stock', 'simple-price-list');?>
            <?php
                if ($options['hide_out'] == 1) {
                    $checked = ' CHECKED ';
                } else { $checked = ''; } 
            ?>
            <input type="checkbox" id="set_hide_out" name="shortcode[hide_out]" value="1" <?php echo $checked;?> />
            <label for="set_hide_out"></label>
        </div>

        <div class="shortcode-item set-exclude">
            <?php
                $selected = '';
                if (!empty($options['exclude'])) {
                    $selected = $options['exclude'];    
                }
            ?>
            <?php echo __('Exclude categoies', 'simple-price-list');?><br />
            <?php
            $args = array(
                'hide_empty'  => false,
                'selected'    => $selected,
                'name'        => 'shortcode[exclude]',
                'id'          => 'set_exclude',
                'orderby'     => 'NAME',
                'order'       => 'ASC',
                'show_option_none'   => __('None selected', 'simple-price-list'),
                'taxonomy'    => 'product_cat',
                'hierarchical'=> true,
                'echo'        => 0,
                'multiple'    => true
            );
            $dropdown = wp_dropdown_categories( $args );
            echo $dropdown;
            ?>
        </div>

        <div class="shortcode-item set-category">
            <?php
                $selected = '';
            ?>
            <?php echo __('Show category', 'simple-price-list');?><br />
            <?php
            $args = array(
                'hide_empty'  => false,
                'selected'    => $selected,
                'name'        => 'shortcode[category]',
                'id'          => 'set_category',
                'orderby'     => 'NAME',
                'order'       => 'ASC',
                'show_option_none'   => __('None selected', 'simple-price-list'),
                'taxonomy'    => 'product_cat',
                'hierarchical'=> true,
                'echo'        => 0,
                'multiple'    => false
            );
            $dropdown = wp_dropdown_categories( $args );
            echo $dropdown .
                 '<br /><small>' . 
                 __('If you do not select category, <br />all categories will be displayed.', 'simple-price-list') .
                 '</small>';
            ?>
        </div>

    </div>
    <div style="clear: both;padding:0;margin:0;height:1;"></div>

<div>
    <?php echo __('Insert content from shortcode:', 'simple-price-list');?> <span id="simple_price_list_shortcode"></span>
    <button id="simple_price_list_shortcode_button" onclick="simple_price_list_920_copy_to_clipboard()" type="button" class="button button-primary">
    <?php echo __('Copy');?>
    </button>
</div>
<div style="clear: both;padding:0;"></div>
    